#include "xaudiosound.h"

XAudioSound::XAudioSound()
    : XAsset()
    , mPacket()
    , mFormat()
    , mXmaDataInfo()
    , mSeekTable()
{
    SetName("Audio Sound");
}

XAudioSound::~XAudioSound()
{

}

void XAudioSound::ParseData(XDataStream *aStream)
{
    mPacket.ParseData(aStream);
    mFormat.ParseData(aStream);
    mXmaDataInfo.ParseData(aStream);
    mSeekTable.ParseData(aStream);
}

void XAudioSound::Clear()
{
    mPacket.Clear();
    mFormat.Clear();
    mXmaDataInfo.Clear();
    mSeekTable.Clear();
}
